Upload Job Preview Package
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobPreviewPackage \
--header 'Authorization: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobPreviewPackage"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
options.body = form;
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobPreviewPackage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdByRef": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"fileUid": "<string>",
"jobUidRef": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"organizationRef": {
"name": "<string>",
"uid": "<string>"
},
"projectUidRef": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"taskId": "<string>",
"uid": "<string>"
}Project
Upload Job Preview Package
Uploads a Job Preview Package to a project. ImportFile API then refers to the preview package. The package is a zip file containing the preview HTML and related asset (css, js..) files.
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobPreviewPackage
Upload Job Preview Package
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Headers
Available options:
multipart/form-data Path Parameters
UID of the project
Body
multipart/form-data
JobPreviewPackage file to upload
Response
Created
Job preview package
Show child attributes
Show child attributes
Reference to an object by its unique identifier
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Reference to an object by its unique identifier
Show child attributes
Show child attributes
Was this page helpful?
⌘I